> For the complete documentation index, see [llms.txt](https://docs.waveline.ai/extract/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.waveline.ai/extract/endpoints/jobs.md).

# /jobs

## Query your past and present jobs.

<mark style="color:blue;">`GET`</mark> `https://waveline.ai/api/v1/jobs`

Retrieve a list of all your account's jobs, ordered by creation date (newest first).

#### Query Parameters

| Name   | Type   | Description                                                                                                                                              |
| ------ | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------- |
| count  | Number | The amount of jobs to return. Can be between `1` and `100` (default `10`).                                                                               |
| offset | Number | The number of jobs to skip. For example with `offset=1`, the newest job will be skipped and the list will start with the second newest job. Default: `0` |

#### Headers

| Name                                            | Type   | Description             |
| ----------------------------------------------- | ------ | ----------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | `Bearer <YOUR_API_KEY>` |

{% tabs %}
{% tab title="200: OK A list of your past and present jobs. " %}

<pre class="language-typescript"><code class="lang-typescript">{
<strong>    "items": [
</strong>        {
            "id": string,
            "createdAt": string, // ISO date string
            "status": string, // CREATED, RUNNING, FAILED, COMPLETED
            "type": string, // the type of job (e.g. "guess-shape")
            "pages": number, // the number of billed pages
            "fileName": string,
            "urls": {
                "get": string // Query this URL to get the status/result of your job
            }
        },
        ...
    ],
    "offset": number,
    "count": number,
    "total": number // the total number of jobs associated with your account
}
</code></pre>

{% endtab %}

{% tab title="400: Bad Request Invalid parameters passed" %}

```typescript
{
    "error": string
}
```

{% endtab %}

{% tab title="401: Unauthorized Provided API key is not valid." %}

```typescript
{
    "error": string
}
```

{% endtab %}

{% tab title="500: Internal Server Error Internal Server error. Please report this to us at <team@waveline.ai>" %}

```typescript
{
    "error": string
}
```

{% endtab %}
{% endtabs %}

## Example Usage

If you've lost track of some jobs you have created, your last 15 jobs:

```bash
curl "https://waveline.ai/api/v1/jobs" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

### Retrieving more than 10 jobs

You can use the `count` parameter to request more than 10 jobs at a time (up to 100):

```bash
curl "https://waveline.ai/api/v1/jobs?count=20" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

### Retrieving older jobs

If you want to search for jobs older than the first 20, say the next oldest 20, you can use the `offset` parameter to do so:

```bash
curl "https://waveline.ai/api/v1/jobs?count=20&offset=20" \
  -H "Authorization: Bearer YOUR_API_KEY"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.waveline.ai/extract/endpoints/jobs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
